#section-hero {
    height: fit-content;
    width: 100%;
    position: relative;
    color: white;
    padding: 5rem 0 3rem 0;
}

#section-hero .background-cover {
    background-color: #000;
    opacity: 0.5;
}

#section-hero .container {
    min-height: 80dvh;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

#carousel-frame {
    margin-top: 2rem;
    position: relative;
    scroll-behavior: smooth;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    width: 100%;
    gap: 2rem;
}

.left-carousel-button, .right-carousel-button {
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    height: 3rem;
    aspect-ratio: 1;
    padding: .5rem;
    border: 3px solid white;
    top: 43%;
    cursor: pointer;
    background-color: rgba(0,0,0,.4);
    color: white;
    font-weight: 900;
    font-size: 1.5rem;
    z-index: 2;
}

#hero-product-container {
    width: 100%;
    display: flex;
    flex-direction: row;
    scroll-snap-type: x mandatory;
    overflow-x: auto;
    gap: 1.25%;
    flex-wrap: nowrap;
    position: relative;
    scroll-behavior: smooth;
}

.carousel-item {
    flex: 0 0 24%;
    scroll-snap-align: start;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    gap: .5rem;
    cursor: pointer;
    padding: 1rem .7rem;
    transition: all .2s ease-in-out;
    -webkit-transition: all .2s ease-in-out;
    -moz-transition: all .2s ease-in-out;
    -ms-transition: all .2s ease-in-out;
    -o-transition: all .2s ease-in-out;
    border: 1px solid white;
    background-color: white;
    border-radius: 7px;
    -webkit-border-radius: 7px;
    -moz-border-radius: 7px;
    -ms-border-radius: 7px;
    -o-border-radius: 7px;
}

.carousel-item-img {
    object-fit: cover;
    width: 100%;
    aspect-ratio: 1;
    margin-bottom: .5rem;
    border-radius: 7px;
    -webkit-border-radius: 7px;
    -moz-border-radius: 7px;
    -ms-border-radius: 7px;
    -o-border-radius: 7px;
}

#hero-product-container::-webkit-scrollbar {
    display: none;
}

.latest-product-link {
    display: grid;
    grid-template-rows: auto 1fr auto;
    height: 100%;
    gap: .5rem;
}

.product-link-details {
    display: contents;
}

.carousel-item-name {
    text-transform: uppercase;
    color: var(--main);
}

.carousel-item-price{
    color: black;
}

.carousel-item-button {
    background-color: var(--main);
    padding: .7rem;
}

.carousel-item:hover {
    transform: scale(.97);
    -webkit-transform: scale(.97);
    -moz-transform: scale(.97);
    -ms-transform: scale(.97);
    -o-transform: scale(.97);
}

.carousel-item-button:hover {
    background-color: var(--dark);
    color: white;
}

@media (max-width: 1150px){
    .carousel-item {
        flex: 0 0 32%;
    }
}

@media (max-width: 925px){
    .carousel-item {
        flex: 0 0 49%;
    }
}

@media (max-width: 650px){
    .carousel-item {
        flex: 0 0 99%;
    }
}

/* ---------------------------------------- About */

#section-about {
    padding: 5rem 0;
}

#section-about .container {
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 3rem;
}

#about-image, #about-text {
    width: 100%;
}

#about-image img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    aspect-ratio: 3/2;
}

#section-about hr {
    margin-bottom: 1rem;
}

@media (max-width: 768px){
    #section-about .container {
        display: flex;
        flex-direction: column;
        gap: 1rem;
    }
}

/* ---------------------------------------- Product Link */

#section-product-link {
    padding: 3.5rem 0;
    position: relative;
    color: white;
}

#section-product-link .background-cover {
    background-color: var(--dark);
    opacity: 0.8;
}

#section-product-link .container {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
}

#section-product-link .title {
    margin-bottom: 0;
}

#section-product-link a {
    background-color: white;
    color: var(--dark);
    padding: 1rem 3rem;
    font-size: 1.2rem;
    border-radius: 10px;
    -webkit-border-radius: 10px;
    -moz-border-radius: 10px;
    -ms-border-radius: 10px;
    -o-border-radius: 10px;
    transition: all .2s ease-in-out;
    -webkit-transition: all .2s ease-in-out;
    -moz-transition: all .2s ease-in-out;
    -ms-transition: all .2s ease-in-out;
    -o-transition: all .2s ease-in-out;
}

#section-product-link i {
    margin-left: 2rem;
}

#section-product-link a:hover {
    background-color: var(--main);
    color: white;
}

@media (max-width: 900px){
    #section-product-link .container {
        flex-direction: column;
        gap: 1rem;
        text-align: center;
    }

    #section-product-link a {
        width: 100%;
    }
}

/* ---------------------------------------- FAQ */

#section-faq {
    padding: 5rem 0;
    position: relative;
}

#section-faq .background-cover {
    background-color: var(--light);
    opacity: 0.9;
}

#section-faq .title {
    margin-bottom: 2rem;
    color: var(--dark);
}

.qna {
    display: block;
    margin-bottom: 1rem;
}

.qna label {
    font-size: 1.3rem;
    border-bottom: 1px solid var(--dark);
    display: block;
    padding: 0 0 .5rem 0;
    cursor: pointer;
    color: var(--dark);
}

.qna label:hover {
    border-bottom: 1px solid var(--main);
    color: var(--main);
}

.answer {
    padding: 0;
    max-height: 0rem;
    overflow-y: hidden;
    transition: all .1s ease-in-out;
    -webkit-transition: all .1s ease-in-out;
    -moz-transition: all .1s ease-in-out;
    -ms-transition: all .1s ease-in-out;
    -o-transition: all .1s ease-in-out;
    color: var(--gold-light);
}

.qna input:checked ~ .answer {
    padding: 1rem 0;
    max-height: 10rem;
}

@media (max-width: 768px){
    .qna input:checked ~ .answer {
        padding: 1rem 0;
        max-height: 20rem;
    }
}